Package org.pushingpixels.substance.internal.utils.icon

# Class GlowingIcon

java.lang.Object
org.pushingpixels.substance.internal.utils.icon.GlowingIcon

All Implemented Interfaces:
  `Icon`

public class GlowingIcon extends Object implements Icon

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Icon`
`delegate`
`protected IconGlowTracker`
`iconGlowTracker`
`protected Map<Float,Icon>`
`iconMap`

## Constructor Summary

Constructors
Constructor
Description
`GlowingIcon(Icon delegate, IconGlowTracker iconGlowTracker)`

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getDelegate()`
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### delegate

protected Icon delegate

### iconGlowTracker

protected IconGlowTracker iconGlowTracker

### iconMap

protected Map<Float,Icon> iconMap

## Constructor Details

### GlowingIcon

public GlowingIcon(Icon delegate, IconGlowTracker iconGlowTracker)

## Method Details

### getDelegate

public Icon getDelegate()

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`